Page MenuHomePhabricator

[RISCV] Add isel patterns for SH*ADD(.UW)
ClosedPublic

Authored by craig.topper on Jan 20 2021, 4:59 PM.

Details

Summary

This adds an initial set of patterns for these instructions. Its
more complicated that I would like for the sh*add.uw instructions
because there is no guaranteed canonicalization for shl/and with
constants.

Diff Detail

Event Timeline

craig.topper created this revision.Jan 20 2021, 4:59 PM
craig.topper requested review of this revision.Jan 20 2021, 4:59 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 20 2021, 4:59 PM
Herald added a subscriber: MaskRay. · View Herald Transcript
asb accepted this revision.Jan 21 2021, 5:55 AM

These LGTM. This patch should presumably be marked dependent on D94637.

This revision is now accepted and ready to land.Jan 21 2021, 5:55 AM
This revision was landed with ongoing or failed builds.Jan 22 2021, 1:29 PM
This revision was automatically updated to reflect the committed changes.